datacache <- new.env(hash=TRUE, parent=emptyenv())

h20kcod <- function() showQCData("h20kcod", datacache)
h20kcod_dbconn <- function() dbconn(datacache)
h20kcod_dbfile <- function() dbfile(datacache)
h20kcod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
h20kcod_dbInfo <- function() dbInfo(datacache)

h20kcodORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "h20kcod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("h20kcod", "chip h20kcod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(h20kcod_dbconn())
}

